<template>
  <header>

    <div class="wrapper">

      <nav>
        <RouterLink to="/">Home</RouterLink>
        <RouterLink to="/about">About</RouterLink>
        <button @click="authStore.logOut" v-if="authStore.isAuthenticated">Logout</button>
        <button @click="authStore.logIn" v-else>Login</button>
      </nav>
    </div>
  </header>

  <RouterView />
</template>

<script>
  import { RouterLink, RouterView } from 'vue-router'
  import HelloWorld from './components/HelloWorld.vue'
  import { useAuthStore } from './stores/auth'
  export default {
  data(){
    return{
      authStore: useAuthStore()
    }
  },
}
  </script>

<style scoped>
</style>
